CREATE TABLE cst_scenario_rollup_headers_gt (
    SCENARIO_ROLLUP_HEADER_ID     NUMBER(18, 0),
    SCENARIO_ID                   NUMBER(18, 0)    NOT NULL,
    INV_ORG_ID                    NUMBER(18, 0)    NOT NULL,
    ROLLUP_HEADER_TYPE            VARCHAR2(120)    NOT NULL,
    ROLLUP_HEADER_KEY             NUMBER(18, 0)    NOT NULL,
    ROLLUP_HEADER_LEVEL           NUMBER(9, 0)     NOT NULL,
    SCENARIO_EVENT_ID             NUMBER(18, 0)    NOT NULL,
    STATUS_CODE                   VARCHAR2(120)    NOT NULL,
    SOURCE_TYPE                   VARCHAR2(120),
    SOURCE_ID                     NUMBER(18, 0),
    COST_UOM_CODE                 VARCHAR2(12) ,
    PRIMARY_UOM_CODE              VARCHAR2(12) ,
    COST_UOM_CONVERSION_FACTOR    NUMBER       ,
    POSTED_FLAG                   VARCHAR2(4)  ,
    WD_OPERATION_ID               NUMBER(18, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    ROLLUP_ITEM_TYPE              VARCHAR2(120),
    VAL_UNIT_ID                   NUMBER(18, 0),
    SCENARIO_ROLLUP_HEADER_ID     NUMBER(18, 0),
    SCENARIO_ID                   NUMBER(18, 0)    NOT NULL,
    INV_ORG_ID                    NUMBER(18, 0)    NOT NULL,
    ROLLUP_HEADER_TYPE            VARCHAR2(120)    NOT NULL,
    ROLLUP_HEADER_KEY             NUMBER(18, 0)    NOT NULL,
    ROLLUP_HEADER_LEVEL           NUMBER(9, 0)     NOT NULL,
    SCENARIO_EVENT_ID             NUMBER(18, 0)    NOT NULL,
    STATUS_CODE                   VARCHAR2(120)    NOT NULL,
    SOURCE_TYPE                   VARCHAR2(120),
    SOURCE_ID                     NUMBER(18, 0),
    COST_UOM_CODE                 VARCHAR2(12) ,
    PRIMARY_UOM_CODE              VARCHAR2(12) ,
    COST_UOM_CONVERSION_FACTOR    NUMBER       ,
    POSTED_FLAG                   VARCHAR2(4)  ,
    WD_OPERATION_ID               NUMBER(18, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    ROLLUP_ITEM_TYPE              VARCHAR2(120),
    VAL_UNIT_ID                   NUMBER(18, 0),
    CONSTRAINT pk_cst_scenario_rollup_headers_gt PRIMARY KEY (SCENARIO_ROLLUP_HEADER_ID, SCENARIO_ROLLUP_HEADER_ID)
);
